import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideRouter } from '@angular/router';
import { provideHttpClient } from '@angular/common/http';
import { provideAnimations } from '@angular/platform-browser/animations';

import { MenuItems } from '@components/shared';
import { CanopiesComponent } from './canopies.component';

describe('CanopiesComponent', () => {
  let component: CanopiesComponent;
  let fixture: ComponentFixture<CanopiesComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [CanopiesComponent],
      providers: [
        provideRouter([]),
        provideHttpClient(),
        provideAnimations(),
        MenuItems,
      ],
    })
    .compileComponents();
    
    fixture = TestBed.createComponent(CanopiesComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
